FEDORA-2017-09d1d0f7d9 created by ttrinks 2 years ago for Fedora 25
stable

#1410896: depend on python-flake8

How to install

sudo dnf upgrade --advisory=FEDORA-2017-09d1d0f7d9

This update has been submitted for testing by ttrinks.

2 years ago

This update has been pushed to testing.

2 years ago
User Icon lnie commented & provided feedback 2 years ago
karma

works

BZ#1410896 ansible-review doesn't work, unless I manually install python2-flake8
User Icon a2batic commented & provided feedback 2 years ago
karma

Works, also python2-flake8 gets install with package itself

BZ#1410896 ansible-review doesn't work, unless I manually install python2-flake8

This update has been submitted for stable by bodhi.

2 years ago
User Icon sourcejedi commented & provided feedback 2 years ago
karma

Works for me.

BZ#1410896 ansible-review doesn't work, unless I manually install python2-flake8

This update has been pushed to stable.

2 years ago
User Icon ddreggors commented & provided feedback 2 years ago
karma

I cannot get this to install at all:

$ sudo dnf install ansible-review --enablerepo=updates-testing Last metadata expiration check: 0:16:47 ago on Thu Jan 26 09:46:50 2017. Error: nothing provides python-appdirs needed by ansible-review-0.13.0-2.fc25.noarch (try to add '--allowerasing' to command line to replace conflicting packages)

I have done a yum clean all and tried repeatedly. I find that as I start manually installing python-appdirs, it requires even more that are not in repos:

After I install python-appdirs (not in repos) I get: Error: nothing provides python2-unidiff needed by ansible-review-0.13.0-2.fc25.noarch

Then I locate and install python{2|3}-unidiff and I then get this error:

Error: nothing provides pyflakes >= 0.8.1 needed by python2-flake8-2.5.5-3.fc25.noarch

Next I find (again not in fedora/fusion repos) python2-pyflakes and now I get this error:

Error: nothing provides python-mccabe >= 0.2.1 needed by python2-flake8-2.5.5-3.fc25.noarch

I was never able to find this package in repos or anywhere else so I finally had to remove all I just manually installed and back out.

END RESULT: Never could install this package


Please login to add feedback.

Metadata
Type
bugfix
Karma
2
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Dates
submitted
2 years ago
in testing
2 years ago
in stable
2 years ago
BZ#1410896 ansible-review doesn't work, unless I manually install python2-flake8
0
3

Automated Test Results